PAGURE-ADMIN(1)

NAME
pagure-admin - The admin CLI for pagure

SYNOPSIS

pagure-admin [-c CONFIG] [--debug] [refresh-gitolite | refresh-ssh | clear-hook-token | admin-token | get-watch PROJECT USER | update-watch PROJECT USER | read-only PROJECT | new-group GROUP USER | list-groups | block-user USER DATE | upload-repospanner-hook REGION | ensure-project-hooks HOOK | delete-project PROJECT USER | create-branch PROJECT BRANCH USER | set-default-branch PROJECT BRANCH ]

pagure-admin [-h | --help]

DESCRIPTION
pagure-admin is the CLI tool that can be used to manage a pagure instance.

OPTIONS

refresh-gitolite

    Re-generate the gitolite config file.

refresh-ssh

    Re-write to disk every user's ssh key stored in the database.

clear-hook-token

    Generate a new hook token for every project in this instance.

admin-token

    Manages the admin tokens for this instance.

get-watch PROJECT USER

    Get USER's watch status on a PROJECT.

update-watch PROJECT USER

    Update USER's watch status on a PROJECT.

read-only PROJECT

    Get or set the read-only flag on a PROJECT.

new-group GROUP USER

    Create a new GROUP on this pagure instance, set USER as having created the GROUP, and add him/her to the GROUP.

list-groups

    Lists existing groups on this pagure instance.

block-user USER DATE

    Prevents an USER to interact with this pagure instance until the specified DATE.

upload-repospanner-hook REGION

    Upload repoSpanner hook script to the specified REGION.

ensure-project-hooks HOOK

    Ensure all projects have their hooks setup. HOOK is the repoSpanner hook ID to set.

delete-project PROJECT USER

    Delete the PROJECT specified, and log it as having been deleted by USER.

create-branch PROJECT BRANCH USER

    Create as USER the specified BRANCH in the specified PROJECT.

set-default-branch PROJECT BRANCH

    Set the specified BRANCH as default on PROJECT.

--help

    Displays the help message.

REPORTING BUGS
Please report bugs using the Debian BTS <https://bugs.debian.org>.

AUTHOR
pagure-admin is copyright (C) 2014 Red Hat, Inc.

This manual page was written by Sergio Durigan Junior <sergiodj@debian.org>. It was written for the Debian GNU/Linux system but may be used by others.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.